#!/bin/bash
#
# Copyright 2014-2024 by Tom Jampen <tom.jampen@gymkirchenfeld.ch>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# includes
KINET_DIR="/usr/share/kinet"

${KINET_DIR}/kinet-cups.sh



# kinet dir for canon ppds
KINET_PPD_DIR="/usr/share/ppd/kinet-canon"

# kinet printers
KINET_PRINTERS_FILE="${KINET_DIR}/kinet-printers.txt"

# canon
CANON_PPD_DIR="/usr/share/cups/model"
CANON_PKG="cnrdrvcups-ufr2-uk"
PREFIX="CNRCUPS"
POSTFIX="ZK"

# black and white printer
BW_PRINTER_NAME="DruckerXXX"
BW_PRINTER_TYPE="MF1440"
BW_PRINTER_DESC="Canon MF1440i"
BW_PRINTER_MODEL="Canon MF1440 / 1440iF/i UFR II"
BW_PPD="${PREFIX}${BW_PRINTER_TYPE}${POSTFIX}.ppd"

# standard color printer
COLOR_PRINTER_NAME="DruckerAllgemein"
COLOR_PRINTER_TYPE="IRADVC5840"
COLOR_PRINTER_DESC="Canon iR-ADV C5850i"
COLOR_PRINTER_MODEL="Canon iR-ADV C5840/5850 UFR II"
COLOR_PPD="${PREFIX}${COLOR_PRINTER_TYPE}${POSTFIX}.ppd"

# highend color printer
HIGHEND_PRINTER_NAME="DruckerKopierraum"
HIGHEND_PRINTER_TYPE="IPRC270"
HIGHEND_PRINTER_DESC="Canon iPR C270 MFP"
HIGHEND_PRINTER_MODEL="Canon iPR C270/C265 UFR II"
HIGHEND_PPD="${PREFIX}${HIGHEND_PRINTER_TYPE}${POSTFIX}.ppd"


# kinet default values
# for all kinet printers
DEF_PAGE="DefaultPageSize"
DEF_PAGE_VAL="A4"
DEF_IMG="DefaultImageableArea"
DEF_IMG_VAL="A4"
DEF_PAPER="DefaultPaperDimension"
DEF_PAPER_VAL="A4"

NICK_NAME="NickName"
NICK_NAME_POST="Kinet"

# for all kinet color printers
OPT_SEC="DefaultCNEnableTrustPrint"
OPT_SEC_VAL="True"

# for kinet highend color printers
OPT_FOLDER="DefaultCNFolder"
OPT_FOLDER_VAL="True"
OPT_PAPERDECK="DefaultCNSrcOption"
OPT_PAPERDECK_VAL="None"
OPT_FINISHER="DefaultCNFinisher"
OPT_FINISHER_VAL="BFINAC2"
OPT_PUNCHER="DefaultCNPuncher"
OPT_PUNCHER_VAL="True"
